<?php
/**
 * Created by PhpStorm.
 * User: FrédéricGuichard
 * Date: 21/09/2016
 * Time: 17:11
 */

namespace ByDedi\AdminBundle\Form\Type;

use Sonata\CoreBundle\Form\Type\DatePickerType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\DateTimeType;
use Symfony\Component\Form\Extension\Core\Type\DateType;
use Symfony\Component\Form\Extension\Core\Type\TextareaType;
use Symfony\Component\OptionsResolver\OptionsResolver;

class DateTimePickerType extends AbstractType
{
    const DEFAULT_FORMAT = 'd-m-Y';
    const SQL_FORMAT = 'Y-m-d';

    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'format' => 'dd-MM-yyyy HH:mm',
            'dp_use_seconds' => false,
            'dp_use_minutes' => true,
            'dp_format' => 'DD-MM-YYYY HH:mm',
        ));
    }

    public function getParent()
    {
        return \Sonata\CoreBundle\Form\Type\DateTimePickerType::class;
    }
}
